Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 5117)
@@ -63,16 +63,16 @@
 
     ! Sanity check
-    if (firstcall) THEN
+    IF (firstcall) THEN
       ! sanity checks for Shallow Water case (1 vertical layer)
-      if (llm==1) THEN
-        if (kappa/=1) THEN
+      IF (llm==1) THEN
+        IF (kappa/=1) THEN
           CALL abort_gcm(modname, &
                   "kappa!=1 , but running in Shallow Water mode!!", 42)
         endif
-        if (cpp/=r) THEN
+        IF (cpp/=r) THEN
           CALL abort_gcm(modname, &
                   "cpp!=r , but running in Shallow Water mode!!", 42)
         endif
-      endif ! of if (llm.eq.1)
+      endif ! of if (llm.EQ.1)
 
       firstcall = .FALSE.
@@ -82,5 +82,5 @@
 
     ! Specific behaviour for Shallow Water (1 vertical layer) case:
-    if (llm==1) THEN
+    IF (llm==1) THEN
       ! Compute pks(:),pk(:),pkf(:)
       ijb = ij_begin
@@ -90,10 +90,10 @@
         pks(ij) = (cpp / preff) * ps(ij)
         pk(ij, 1) = .5 * pks(ij)
-        if (present(pkf)) pkf(ij, 1) = pk(ij, 1)
+        IF (present(pkf)) pkf(ij, 1) = pk(ij, 1)
       ENDDO
       !$OMP ENDDO
 
       !$OMP BARRIER
-      if (present(pkf)) THEN
+      IF (present(pkf)) THEN
         jjb = jj_begin
         jje = jj_end
@@ -104,5 +104,5 @@
       ! our work is done, exit routine
       RETURN
-    endif ! of if (llm.eq.1)
+    endif ! of if (llm.EQ.1)
 
     ! General case:
@@ -169,5 +169,5 @@
     ENDDO
 
-    if (present(pkf)) THEN
+    IF (present(pkf)) THEN
       !    calcul de pkf
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 5117)
@@ -56,16 +56,16 @@
 
     ! Sanity check
-    if (firstcall) THEN
+    IF (firstcall) THEN
        ! sanity checks for Shallow Water case (1 vertical layer)
-       if (llm==1) THEN
-          if (kappa/=1) THEN
+       IF (llm==1) THEN
+          IF (kappa/=1) THEN
              CALL abort_gcm(modname, &
                   "kappa!=1 , but running in Shallow Water mode!!",42)
           endif
-          if (cpp/=r) THEN
+          IF (cpp/=r) THEN
              CALL abort_gcm(modname, &
                   "cpp!=r , but running in Shallow Water mode!!",42)
           endif
-       endif ! of if (llm.eq.1)
+       endif ! of if (llm.EQ.1)
 
        firstcall=.FALSE.
@@ -75,5 +75,5 @@
 
     ! Specific behaviour for Shallow Water (1 vertical layer) case:
-    if (llm==1) THEN
+    IF (llm==1) THEN
        ! Compute pks(:),pk(:),pkf(:)
        ijb=ij_begin
@@ -83,10 +83,10 @@
           pks(ij) = (cpp/preff) * ps(ij)
           pk(ij,1) = .5*pks(ij)
-          if (present(pkf)) pkf(ij,1)=pk(ij,1)
+          IF (present(pkf)) pkf(ij,1)=pk(ij,1)
        ENDDO
        !$OMP ENDDO
 
        !$OMP BARRIER
-       if (present(pkf)) THEN
+       IF (present(pkf)) THEN
           jjb=jj_begin
           jje=jj_end
@@ -97,5 +97,5 @@
        ! our work is done, exit routine
        RETURN
-    endif ! of if (llm.eq.1)
+    endif ! of if (llm.EQ.1)
 
     ! General case:
@@ -140,5 +140,5 @@
     !$OMP ENDDO NOWAIT        
 
-    if (present(pkf)) THEN
+    IF (present(pkf)) THEN
        !    calcul de pkf
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/filtreg_p.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/filtreg_p.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/filtreg_p.F90	(revision 5117)
@@ -99,5 +99,5 @@
   !-------------------------------------------------------c
 
-  IF(ifiltre==1.or.ifiltre==-1) &
+  IF(ifiltre==1.OR.ifiltre==-1) &
         CALL abort_gcm("fitreg_p","Pas de transformee simple&
         &dans cette version",1)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.f90	(revision 5117)
@@ -10,5 +10,5 @@
   USE bands
   USE times
-  USE Vampir
+  USE lmdz_vampir
   USE write_field_loc
 
@@ -50,6 +50,6 @@
   ijbv = ij_begin - iip1
   ijev = ij_end
-  if (pole_nord) ijbv = ij_begin
-  if (pole_sud)  ijev = ij_end - iip1
+  IF (pole_nord) ijbv = ij_begin
+  IF (pole_sud)  ijev = ij_end - iip1
 
   IF(pasflx==0) THEN
@@ -116,5 +116,5 @@
     !$OMP ENDDO NOWAIT
 
-    if (pole_sud) ije = ij_end - iip1
+    IF (pole_sud) ije = ij_end - iip1
 
     !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.f90	(revision 5117)
@@ -29,7 +29,7 @@
 
   ! arguments:
-  REAL,INTENT(inout) :: ucov( iip1,jjb_u:jje_u,llm )
-  REAL,INTENT(inout) :: vcov( iip1,jjb_v:jje_v,llm )
-  REAL,INTENT(in) :: pdt ! time step
+  REAL,INTENT(INOUT) :: ucov( iip1,jjb_u:jje_u,llm )
+  REAL,INTENT(INOUT) :: vcov( iip1,jjb_v:jje_v,llm )
+  REAL,INTENT(IN) :: pdt ! time step
 
   ! local variables:
@@ -51,5 +51,5 @@
     ! set friction type
     CALL getin("friction_type",friction_type)
-    if ((friction_type<0).or.(friction_type>1)) THEN
+    IF ((friction_type<0).OR.(friction_type>1)) THEN
       abort_message="wrong friction type"
       WRITE(lunout,*)'Friction: wrong friction type',friction_type
@@ -60,10 +60,10 @@
 !$OMP END SINGLE COPYPRIVATE(friction_type,firstcall)
 
-  if (friction_type==0) then ! friction on first layer only
+  IF (friction_type==0) then ! friction on first layer only
 !$OMP SINGLE
   !   calcul des composantes au carre du vent naturel
   jjb=jj_begin
   jje=jj_end+1
-  if (pole_sud) jje=jj_end
+  IF (pole_sud) jje=jj_end
 
   do j=jjb,jje
@@ -75,6 +75,6 @@
   jjb=jj_begin-1
   jje=jj_end+1
-  if (pole_nord) jjb=jj_begin
-  if (pole_sud) jje=jj_end-1
+  IF (pole_nord) jjb=jj_begin
+  IF (pole_sud) jje=jj_end-1
 
   do j=jjb,jje
@@ -87,6 +87,6 @@
   jjb=jj_begin
   jje=jj_end+1
-  if (pole_nord) jjb=jj_begin+1
-  if (pole_sud) jje=jj_end-1
+  IF (pole_nord) jjb=jj_begin+1
+  IF (pole_sud) jje=jj_end-1
 
   do j=jjb,jje
@@ -99,5 +99,5 @@
   !   les deux composantes du vent au pole sont obtenues comme
   !   premiers modes de fourier de v pres du pole
-  if (pole_nord) THEN
+  IF (pole_nord) THEN
     upoln=0.
     vpoln=0.
@@ -116,7 +116,7 @@
     enddo
 
-  endif
+  ENDIF
 
-  if (pole_sud) THEN
+  IF (pole_sud) THEN
     upols=0.
     vpols=0.
@@ -134,5 +134,5 @@
     enddo
 
-  endif
+  ENDIF
 
   !   calcul du frottement au sol.
@@ -140,6 +140,6 @@
   jjb=jj_begin
   jje=jj_end
-  if (pole_nord) jjb=jj_begin+1
-  if (pole_sud) jje=jj_end-1
+  IF (pole_nord) jjb=jj_begin+1
+  IF (pole_sud) jje=jj_end-1
 
   do j=jjb,jje
@@ -153,5 +153,5 @@
   jjb=jj_begin
   jje=jj_end
-  if (pole_sud) jje=jj_end-1
+  IF (pole_sud) jje=jj_end-1
 
   do j=jjb,jje
@@ -163,12 +163,12 @@
   enddo
 !$OMP END SINGLE
-  endif ! of if (friction_type.eq.0)
+  ENDIF ! of if (friction_type.EQ.0)
 
-  if (friction_type==1) THEN
+  IF (friction_type==1) THEN
    ! for ucov()
     jjb=jj_begin
     jje=jj_end
-    if (pole_nord) jjb=jj_begin+1
-    if (pole_sud) jje=jj_end-1
+    IF (pole_nord) jjb=jj_begin+1
+    IF (pole_sud) jje=jj_end-1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -182,5 +182,5 @@
     jjb=jj_begin
     jje=jj_end
-    if (pole_sud) jje=jj_end-1
+    IF (pole_sud) jje=jj_end-1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -190,5 +190,5 @@
     enddo
 !$OMP END DO
-  endif ! of if (friction_type.eq.1)
+  ENDIF ! of if (friction_type.EQ.1)
 
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90	(revision 5117)
@@ -87,5 +87,5 @@
   LOGICAL lafin
 
-  real time_step, t_wrt, t_ops
+  REAL time_step, t_wrt, t_ops
 
   !+jld variables test conservation energie
@@ -101,12 +101,12 @@
 
 
-  character (len=80) :: dynhist_file, dynhistave_file
-  character (len=20) :: modname
-  character (len=80) :: abort_message
+  CHARACTER (LEN=80) :: dynhist_file, dynhistave_file
+  CHARACTER (LEN=20) :: modname
+  CHARACTER (LEN=80) :: abort_message
   ! locales pour gestion du temps
   INTEGER :: an, mois, jour
   REAL :: heure
   ! needed for xios interface
-  character (len=10) :: xios_cal_type
+  CHARACTER (LEN=10) :: xios_cal_type
   INTEGER :: anref, moisref, jourref
   REAL :: heureref
@@ -132,5 +132,5 @@
 
   CALL conf_gcm( 99, .TRUE. )
-  if (mod(iphysiq, iperiod) /= 0) CALL abort_gcm("conf_gcm", &
+  IF (mod(iphysiq, iperiod) /= 0) CALL abort_gcm("conf_gcm", &
        "iphysiq must be a multiple of iperiod", 1)
 
@@ -154,5 +154,5 @@
 
   CALL set_bands
-  if (mpi_rank==0) CALL WriteBands
+  IF (mpi_rank==0) CALL WriteBands
   CALL Set_Distrib(distrib_caldyn)
 
@@ -173,13 +173,13 @@
   !      calend = 'earth_365d'
 
-  if (calend == 'earth_360d') THEN
+  IF (calend == 'earth_360d') THEN
      CALL ioconf_calendar('360_day')
      WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
      xios_cal_type='d360'
-  else if (calend == 'earth_365d') THEN
+  ELSE IF (calend == 'earth_365d') THEN
      CALL ioconf_calendar('noleap')
      WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
      xios_cal_type='noleap'
-  else if (calend == 'gregorian') THEN
+  ELSE IF (calend == 'gregorian') THEN
      CALL ioconf_calendar('gregorian')
      WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre bissextile'
@@ -188,5 +188,5 @@
      abort_message = 'Mauvais choix de calendrier'
      CALL abort_gcm(modname,abort_message,1)
-  endif
+  ENDIF
 
 
@@ -212,16 +212,16 @@
 
   !  lecture du fichier start.nc
-  if (read_start) THEN
+  IF (read_start) THEN
      ! we still need to run iniacademic to initialize some
      ! constants & fields, if we run the 'newtonian' or 'SW' cases:
-     if (iflag_phys/=1) THEN
+     IF (iflag_phys/=1) THEN
         CALL iniacademic_loc(vcov,ucov,teta,q,masse,ps,phis,time_0)
      endif
 
-     !        if (planet_type.eq."earth") THEN
+     !        if (planet_type.EQ."earth") THEN
      ! Load an Earth-format start file
      CALL dynetat0_loc("start.nc",vcov,ucov, &
           teta,q,masse,ps,phis, time_0)
-     !        endif ! of if (planet_type.eq."earth")
+     !        endif ! of if (planet_type.EQ."earth")
 
      !       WRITE(73,*) 'ucov',ucov
@@ -231,14 +231,14 @@
      !       WRITE(77,*) 'q',q
 
-  endif ! of if (read_start)
+  ENDIF ! of if (read_start)
 
   ! le cas echeant, creation d un etat initial
   IF (prt_level > 9) WRITE(lunout,*) &
        'GCM: AVANT iniacademic AVANT AVANT AVANT AVANT'
-  if (.not.read_start) THEN
+  IF (.NOT.read_start) THEN
      start_time=0.
      annee_ref=anneeref
      CALL iniacademic_loc(vcov,ucov,teta,q,masse,ps,phis,time_0)
-  endif
+  ENDIF
 
   !-----------------------------------------------------------------------
@@ -287,5 +287,5 @@
      WRITE(lunout,*) &
           'GCM: On reinitialise a la date lue dans gcm.def'
-  ELSE IF (annee_ref /= anneeref .or. day_ref /= dayref) THEN
+  ELSE IF (annee_ref /= anneeref .OR. day_ref /= dayref) THEN
      WRITE(lunout,*) &
           'GCM: Attention les dates initiales lues dans le fichier'
@@ -297,5 +297,5 @@
      WRITE(lunout,*)' Pas de remise a zero'
   ENDIF
-  !      if (annee_ref .ne. anneeref .or. day_ref .ne. dayref) THEN
+  !      if (annee_ref .NE. anneeref .OR. day_ref .NE. dayref) THEN
   !        WRITE(lunout,*)
   !     .  'GCM: Attention les dates initiales lues dans le fichier'
@@ -305,5 +305,5 @@
   !        WRITE(lunout,*)' annee_ref=',annee_ref," anneeref=",anneeref
   !        WRITE(lunout,*)' day_ref=',day_ref," dayref=",dayref
-  !        if (raz_date .ne. 1) THEN
+  !        if (raz_date .NE. 1) THEN
   !          WRITE(lunout,*)
   !     .    'GCM: On garde les dates du fichier restart'
@@ -337,5 +337,5 @@
   WRITE(lunout,*)jD_ref+jH_ref,anref, moisref, jourref, heureref
 
-  if (iflag_phys==1) THEN
+  IF (iflag_phys==1) THEN
      ! these initialisations have already been done (via iniacademic)
      ! if running in SW or Newtonian mode
@@ -355,5 +355,5 @@
      !   --------------------------
      CALL inifilr
-  endif ! of if (iflag_phys.eq.1)
+  ENDIF ! of if (iflag_phys.EQ.1)
 
   !-----------------------------------------------------------------------
@@ -369,9 +369,9 @@
 
 
-  if (nday>=0) THEN
+  IF (nday>=0) THEN
      day_end = day_ini + nday
   else
      day_end = day_ini - nday/day_step
-  endif
+  ENDIF
 
   WRITE(lunout,300)day_ini,day_end
@@ -395,5 +395,5 @@
   istphy=istdyn/iphysiq
 
-  IF ((iflag_phys==1).or.(iflag_phys>=100)) THEN
+  IF ((iflag_phys==1).OR.(iflag_phys>=100)) THEN
      ! Physics:
     IF (CPPKEY_PHYS) THEN
@@ -404,8 +404,8 @@
             iflag_phys)
     END IF
-  ENDIF ! of IF ((iflag_phys==1).or.(iflag_phys>=100))
-
-
-  !      if (planet_type.eq."earth") THEN
+  ENDIF ! of IF ((iflag_phys==1).OR.(iflag_phys>=100))
+
+
+  !      if (planet_type.EQ."earth") THEN
   ! Write an Earth-format restart file
   CALL dynredem0_loc("restart.nc", day_end, phis)
@@ -415,5 +415,5 @@
 
   time_step = zdtvr
-     if (ok_dyn_ins) THEN
+     IF (ok_dyn_ins) THEN
         ! initialize output file for instantaneous outputs
         ! t_ops = iecri * daysec ! do operations every t_ops
@@ -433,8 +433,8 @@
 
 ! setting up DYN3D/XIOS inerface
-  if (ok_dyn_xios) THEN
+  IF (ok_dyn_xios) THEN
       CALL xios_dyn3dmem_init(xios_cal_type, anref, moisref, jourref,heureref, an,   &
           mois, jour, heure, zdtvr)
-  endif
+  ENDIF
 
   !-----------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_v_scal_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_v_scal_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_v_scal_loc.f90	(revision 5117)
@@ -49,6 +49,6 @@
   ijb=ij_begin
   ije=ij_end
-  if (pole_nord) ijb=ij_begin+iip1
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord) ijb=ij_begin+iip1
+  IF (pole_sud)  ije=ij_end-iip1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -62,5 +62,5 @@
 !$OMP ENDDO NOWAIT
 
-  if (pole_nord) THEN
+  IF (pole_nord) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,nx
@@ -70,7 +70,7 @@
     ENDDO
 !$OMP ENDDO NOWAIT
-  endif
+  ENDIF
 
-  if (pole_sud) THEN
+  IF (pole_sud) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,nx
@@ -80,5 +80,5 @@
     ENDDO
 !$OMP ENDDO NOWAIT
-  endif
+  ENDIF
 
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/grad_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/grad_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/grad_loc.f90	(revision 5117)
@@ -40,6 +40,6 @@
   ijb=ij_begin-iip1
   ije=ij_end
-  if (pole_nord) ijb=ij_begin
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord) ijb=ij_begin
+  IF (pole_sud)  ije=ij_end-iip1
 
   DO ij = ijb,ije
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/grad_p.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/grad_p.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/grad_p.f90	(revision 5117)
@@ -40,6 +40,6 @@
   ijb=ij_begin-iip1
   ije=ij_end
-  if (pole_nord) ijb=ij_begin
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord) ijb=ij_begin
+  IF (pole_sud)  ije=ij_end-iip1
 
   DO ij = ijb,ije
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gradiv2_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gradiv2_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gradiv2_loc.f90	(revision 5117)
@@ -133,10 +133,10 @@
    DO   l = 1, klevel
 
-     if (pole_sud) ije=ij_end
+     IF (pole_sud) ije=ij_end
      DO  ij = ijb, ije
       gdx_out( ij,l ) = gdx( ij,l ) * nugrads
      ENDDO
 
-     if (pole_sud) ije=ij_end-iip1
+     IF (pole_sud) ije=ij_end-iip1
      DO  ij = ijb, ije
       gdy_out( ij,l ) = gdy( ij,l ) * nugrads
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/groupe_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/groupe_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/groupe_loc.f90	(revision 5117)
@@ -35,5 +35,5 @@
   INTEGER :: i, j, l
 
-  logical :: firstcall
+  LOGICAL :: firstcall
   save firstcall
   !$OMP THREADPRIVATE(firstcall)
@@ -62,6 +62,6 @@
   jjb = jj_begin - 1
   jje = jj_end
-  if (pole_nord) jjb = jj_begin
-  if (pole_sud)  jje = jj_end - 1
+  IF (pole_nord) jjb = jj_begin
+  IF (pole_sud)  jje = jj_end - 1
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
   do l = 1, llm
@@ -81,6 +81,6 @@
   jjb = jj_begin
   jje = jj_end
-  if (pole_nord) jjb = jj_begin + 1
-  if (pole_sud)  jje = jj_end - 1
+  IF (pole_nord) jjb = jj_begin + 1
+  IF (pole_sud)  jje = jj_end - 1
 
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -113,8 +113,8 @@
   enddo
 
-  if (.not. pole_sud) THEN
+  IF (.NOT. pole_sud) THEN
     zconvmm(:, jj_end + 1, :) = 0
     !ym	wm(:,jj_end+1,:)=0
-  endif
+  ENDIF
 
   !$OMP END MASTER
